unit UntConsEstatisticas;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, Grids, DBGrids, StdCtrls, Mask, DB, ExtCtrls, Buttons;

type
  TFrmEstatisticas = class(TForm)
    DsEstatisticas: TDataSource;
    LblMaskDinicial: TLabel;
    LblUsu: TLabel;
    LblMaskDFinal: TLabel;
    TxtLocUsuEstatisticas: TDBLookupComboBox;
    DsLocUsuEstatisticas: TDataSource;
    BdLimpar: TBitBtn;
    MaskDatIni: TMaskEdit;
    MaskDatFim: TMaskEdit;
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    DBGrid: TDBGrid;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    BdcConsCliente: TBitBtn;
    ConsCPFCGC: TBitBtn;
    BdcFiltrar: TBitBtn;
    RadioButton2: TRadioButton;
    RadioButton1: TRadioButton;
    RadioGroup1: TRadioGroup;
    procedure TxtLocUsuEstatisticasExit(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BdLimparClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure BdcFiltrarClick(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2KeyPress(Sender: TObject; var Key: Char);
    procedure MaskDatIniKeyPress(Sender: TObject; var Key: Char);
    procedure MaskDatFimKeyPress(Sender: TObject; var Key: Char);
    procedure RadioButton1KeyPress(Sender: TObject; var Key: Char);
    procedure TxtLocUsuEstatisticasKeyPress(Sender: TObject;
      var Key: Char);
    procedure BdcConsClienteClick(Sender: TObject);
    procedure ConsCPFCGCClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmEstatisticas: TFrmEstatisticas;

implementation

uses UntModuloDados, UntConsEstatisticasCliente, UntConsEstatisticasAcesso;

{$R *.dfm}

procedure TFrmEstatisticas.TxtLocUsuEstatisticasExit(Sender: TObject);
begin
ModuloDados.TbEstatistica.Filtered:=True;
ModuloDados.TbEstatistica.Filter:='Usuario='+ QuotedStr(TxtLocUsuEstatisticas.Text);
DBGrid.SetFocus;
end;

procedure TFrmEstatisticas.FormActivate(Sender: TObject);
begin
ModuloDados.TbUsu.Active:=True;
ModuloDados.TbEstatistica.Active:=True;
end;

procedure TFrmEstatisticas.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
ModuloDados.TbUsu.Active:=False;
ModuloDados.TbEstatistica.Active:=False;
Action:=caFree;
FrmEstatisticas:=Nil;
end;

procedure TFrmEstatisticas.BdLimparClick(Sender: TObject);
begin
MaskDatIni.Text:='';
MaskDatFim.Text:='';
TxtLocUsuEstatisticas.KeyValue:='';
ModuloDados.TbEstatistica.Active:=False;
ModuloDados.TbEstatistica.Active:=True;
ModuloDados.TbEstatistica.Filtered:=False;
end;

procedure TFrmEstatisticas.FormKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#27 Then
  Begin
    FrmEstatisticas.Close;
end
end;

procedure TFrmEstatisticas.BdcFiltrarClick(Sender: TObject);
begin
If (MaskDatIni.Text<'0') or (MaskDatFim.Text<'0') Then
  Begin
    Application.MessageBox('Informe as Datas Inicial e Final do Perodo...','SC Informtica',MB_ICONINFORMATION);
    MaskDatIni.SetFocus;
end
      Else
        If MaskDatIni.Text>MaskDatFim.Text Then
          Begin
            Application.MessageBox('A Data Final tem que ser maior que a Data Inicial','SC Informtica',MB_ICONINFORMATION);
            MaskDatFim.Text:='';
            MaskDatFim.SetFocus;
      end
Else
  ModuloDados.TbEstatistica.Filtered:=True;
  ModuloDados.TbEstatistica.Filter:='Data>='+QuotedStr(MaskDatIni.Text)+ 'and Data<='+QuotedStr(MaskDatFim.Text);
end;

procedure TFrmEstatisticas.RadioButton2Click(Sender: TObject);
begin
LblUsu.Visible:=False;
TxtLocUsuEstatisticas.Visible:=False;
ModuloDados.TbUsu.Append;
LblMaskDinicial.Visible:=True;
LblMaskDFinal.Visible:=True;
MaskDatIni.Visible:=True;
MaskDatFim.Visible:=True;
BdcFiltrar.Visible:=True;
end;

procedure TFrmEstatisticas.RadioButton1Click(Sender: TObject);
begin
ModuloDados.TbUsu.Append;
LblMaskDinicial.Visible:=False;
LblMaskDFinal.Visible:=False;
MaskDatIni.Visible:=False;
MaskDatFim.Visible:=False;
LblUsu.Visible:=True;
TxtLocUsuEstatisticas.Visible:=True;
BdcFiltrar.Visible:=False;
end;

procedure TFrmEstatisticas.RadioButton2KeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticas.MaskDatIniKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticas.MaskDatFimKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticas.RadioButton1KeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticas.TxtLocUsuEstatisticasKeyPress(Sender: TObject;
  var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmEstatisticas.BdcConsClienteClick(Sender: TObject);
begin
Application.CreateForm(TFrmEstatisticasCliente,FrmEstatisticasCliente);
FrmEstatisticasCliente.ShowModal;
end;

procedure TFrmEstatisticas.ConsCPFCGCClick(Sender: TObject);
begin
Application.CreateForm(TFrmEstatisticasAcessi,FrmEstatisticasAcessi);
FrmEstatisticasAcessi.ShowModal;
end;

end.
